# $Revision: 1.2 $, $Date: 2005/01/03 17:33:29 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	POE
%define	pnam	API-Peek
Summary:	POE::API::Peek - peek into the internals of a running POE environment
Summary(pl):	POE::API::Peek - wgld do wntrza dziaajacego rodowiska POE
Name:		perl-POE-API-Peek
Version:	1.0251
Release:	2
License:	Other
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	7ae6e858794e41fd4e8f61de04e875e5
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-POE >= 0.2802
BuildRequires:	perl(Test::More)
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
POE::API::Peek extends the POE::Kernel interface to provide clean
access to Kernel internals in a cross-version compatible manner.
Other calculated data is also available.

Author's intention is to provide massive amounts of internal data for
use in POE debugging.

%description -l pl
POE:API::Peek rozszerza interfejs POE::Kernel dostarczajc czysty
dostp do wntrza Kernela POE w sposb kompatybilny midzy werjsami.
Inne wyliczone dane take s dostpne.

Intencj Autora jest dostarczenie duych iloci danych wewntrznych
przydatnych w procesie debugowania POE.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/POE/API/Peek.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-POE-API-Peek.spec,v $
Revision 1.2  2005/01/03 17:33:29  adamg
- use package name for perl-POE instead of what it provides

Revision 1.1  2005/01/03 16:56:21  adamg
- new

